## lift 0.0.1

=== DESCRIPTION ===
Package: lift
Type: Package
Title: Compute the Top Decile Lift and Plot the Lift Curve
Version: 0.0.1
Date: 2015-09-30
Imports: stats, graphics
Author: Steven Hoornaert, Michel Ballings, Dirk Van den Poel
Maintainer: Steven Hoornaert <Steven.Hoornaert@UGent.be>
Description: Compute the top decile lift and plot the lift curve. Cumulative lift curves are also supported.
License: GPL (>= 2)
LazyData: TRUE
NeedsCompilation: no
Packaged: 2015-10-01 15:42:29 UTC; mballin2
Repository: CRAN
Date/Publication: 2015-10-02 00:08:39

## lift 0.0.2

=== DESCRIPTION ===
Package: lift
Type: Package
Title: Compute the Top Decile Lift and Plot the Lift Curve
Version: 0.0.2
Date: 2015-10-13
Imports: stats, graphics
Author: Steven Hoornaert, Michel Ballings, Dirk Van den Poel
Maintainer: Steven Hoornaert <Steven.Hoornaert@UGent.be>
Description: Compute the top decile lift and plot the lift curve. Cumulative lift curves are also supported.
License: GPL (>= 2)
LazyData: TRUE
NeedsCompilation: no
Packaged: 2015-10-12 19:16:53 UTC; mballin2
Repository: CRAN
Date/Publication: 2015-10-13 09:38:03

## lift 2.0.0

=== debian/changelog ===
lift (2.0.0-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 17:22:06 +0000

lift (2.0.0-1) unstable; urgency=low

  * Initial release (Closes: #781189)

 -- Nicolas Delvaux <contact@nicolas-delvaux.org>  Wed, 25 Mar 2015 22:33:36 +0100

=== debian/control ===
Source: lift
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nicolas Delvaux <contact@nicolas-delvaux.org>
Build-Depends: debhelper (>= 9),
               python3,
               python3-yaml,
               python3-paramiko,
               python3-docutils,
               python3-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/Malizor/lift

Package: lift
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: Integration and functional testing framework
 Lift provides an integration/functional test platform which handles executable
 tests easily and generically.
 .
  * Lift only deals with executables and their return code
    - A particular test can be written in the language that fit it the most
  * Test declaration in a simple YAML syntax
    - No need to learn a programming language to integrate a test in a suite
  * Easily declare a test as running locally or on a remote machine
  * Remote tests: upload needed assets automatically and cleanup afterward
  * Naturally organize a test suite in multiple sub-folders/sub-test suites
  * Easily run a sub-test suite or specific tests from the command line
  * Pass environment variables to tests
  * Inheritance of remotes and environment across sub-test suites
    - For example, remotes can be defined in the top folder and used below
  * Only one command to run all or specific tests: lift

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_clean:
	python3 setup.py clean -a
	# Manually remove leftover
	find . -name __pycache__ -type d -exec rm -rf {} +
	rm -rf doc/*.1 lift.egg-info

override_dh_auto_build:
	python3 setup.py build

override_dh_auto_test:
	python3 setup.py test

override_dh_auto_install:
	python3 setup.py install --root=$(CURDIR)/debian/lift --install-layout=deb

=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/Malizor/lift/releases .*/lift-(.*)\.tar\.xz

## lift 2.5.0

=== debian/changelog ===
lift (2.5.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 3.9.8 (no change required)
  * Improve debian/copyright to please Lintian
  * Simplify the packaging: use Pybuild
  * Make the build reproducible (set the build date in manpages)
  * Bump the debian/watch version to 4 (no change required)
  * Bump the compat version to 10 (no change required)

 -- Nicolas Delvaux <contact@nicolas-delvaux.org>  Sun, 25 Sep 2016 17:31:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: lift
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicolas Delvaux <contact@nicolas-delvaux.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Nicolas Delvaux <contact@nicolas-delvaux.org>
+Build-Depends: debhelper (>= 10),
                python3,
+               dh-python,
                python3-yaml,
                python3-paramiko,
                python3-docutils,
+               python3-junit.xml,
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/Malizor/lift
 
 Package: lift
@@ -32,3 +33,4 @@
   * Inheritance of remotes and environment across sub-test suites
     - For example, remotes can be defined in the top folder and used below
   * Only one command to run all or specific tests: lift
+  * Export XUnit reports, for easy integration with Jenkins & friends

=== debian/rules ===
#!/usr/bin/make -f

# Remove leftovers from tests
export PYBUILD_AFTER_CLEAN=rm -rf "lift.egg-info"

# Edit the build date in manpages to make the build reproducible
export RELEASE_DATE=$(shell date -d "$(shell dpkg-parsechangelog -S Date)" -I)
export PYBUILD_AFTER_BUILD=sed -i 's/[0-9]\+-[0-9]\+-[0-9]\+/$(RELEASE_DATE)/' doc/lift.1 doc/lift.yaml.1

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/Malizor/lift/releases .*/lift-(.*)\.tar\.xz

## lift 2.6.0

=== debian/changelog ===
lift (2.6.0-1) unstable; urgency=medium

  * New upstream release
  * Really make the build reproducible (Closes: #1000897)
  * Update debian/copyright
  * Bump standards version to 4.6.0 (no change required)
  * Bump the compat version to 13 (no change required)
  * Declare that debian/rules does not require root privileges

 -- Nicolas Delvaux <contact@nicolas-delvaux.org>  Mon, 06 Dec 2021 15:07:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Nicolas Delvaux <contact@nicolas-delvaux.org>
-Build-Depends: debhelper (>= 10),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                python3,
                dh-python,
                python3-yaml,
@@ -10,7 +11,7 @@
                python3-docutils,
                python3-junit.xml,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.6.0
 Homepage: https://github.com/Malizor/lift
 
 Package: lift

=== debian/rules ===
#!/usr/bin/make -f

# Remove leftovers from tests
export PYBUILD_AFTER_CLEAN=rm -rf "lift.egg-info"

%:
	dh $@ --with python3 --buildsystem=pybuild

## lift 2.6.1

=== debian/changelog ===
lift (2.6.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1022502)
  * Update the watch file to fix GitHub support
  * Bump standards version to 4.6.1 (no change required)
  * Update the copyright year

 -- Nicolas Delvaux <contact@nicolas-delvaux.org>  Mon, 31 Oct 2022 19:27:00 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-docutils,
                python3-junit.xml,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/Malizor/lift
 
 Package: lift

=== debian/rules ===
#!/usr/bin/make -f

# Build man pages
export PYBUILD_AFTER_BUILD=rst2man doc/lift.rst doc/lift.1 && rst2man doc/lift.yaml.rst doc/lift.yaml.1

# Install man pages
export PYBUILD_AFTER_INSTALL=mkdir -p {destdir}/usr/share/man/man1 && cp doc/*.1 {destdir}/usr/share/man/man1/

# Remove leftovers from tests and man pages
export PYBUILD_AFTER_CLEAN=rm -rf lift.egg-info doc/*.1

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

# GitHub has recently (9/22) changed the behavior of the releases page in a way
# that breaks watch files [1]. This file works around that by looking for files on
# the 'tags' page, then rewriting them to reference the expected file on the
# 'releases' page, and then verifies using the corresponding signature file.
#
# [1]: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1019696

# This snippet is inspired by what was done in the Sirikali package.

opts=downloadurlmangle=s/archive\/refs\/tags\/(.*)\.tar\.gz/releases\/download\/$1\/@PACKAGE@-$1\.tar\.xz/,\
pgpsigurlmangle=s/$/.asc/ \
https://github.com/Malizor/@PACKAGE@/tags \
/Malizor/@PACKAGE@/archive/refs/tags/(.*)\.tar\.gz

## lift 2.6.2

=== debian/changelog ===
lift (2.6.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1074667)
  * Bump standards version to 4.7.0 (no change required)
  * Update the copyright year

 -- Nicolas Delvaux <contact@nicolas-delvaux.org>  Mon, 22 Jul 2024 14:31:43 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-docutils,
                python3-junit.xml,
                python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/Malizor/lift
 
 Package: lift
